Package: org.apache.groovy.parser.antlr4.util

## [Java] Class PositionConfigureUtils

- org.apache.groovy.parser.antlr4.util.PositionConfigureUtils

-     public class PositionConfigureUtils
      extends Object

  Utilities for configuring node positions

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<T extends ASTNode>` | `public static T` | `configureAST(T astNode, org.apache.groovy.parser.antlr4.GroovyParser$GroovyParserRuleContext ctx)` Sets location(lineNumber, colNumber, lastLineNumber, lastColumnNumber) for node using standard context information.
    `<T extends ASTNode>` | `public static T` | `configureAST(T astNode, TerminalNode terminalNode)`
    `<T extends ASTNode>` | `public static T` | `configureAST(T astNode, Token token)`
    `<T extends ASTNode>` | `public static T` | `configureAST(T astNode, ASTNode source)`
    `<T extends ASTNode>` | `public static T` | `configureAST(T astNode, org.apache.groovy.parser.antlr4.GroovyParser$GroovyParserRuleContext ctx, ASTNode initialStop)`
    `<T extends ASTNode>` | `public static T` | `configureAST(T astNode, ASTNode start, ASTNode stop)`
    `<T extends ASTNode>` | `public static void` | `configureEndPosition(T astNode, Token token)`
    `` | `public static Tuple2<Integer, Integer>` | `endPosition(Token token)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### <T extends ASTNode> public static T configureAST(T astNode, org.apache.groovy.parser.antlr4.GroovyParser$GroovyParserRuleContext ctx)

      Sets location(lineNumber, colNumber, lastLineNumber, lastColumnNumber) for node using standard context information. Note: this method is implemented to be closed over ASTNode. It returns same node as it received in arguments.

      Parameters:
        `astNode` - Node to be modified.
        `ctx` - Context from which information is obtained.
      Returns:
        Modified astNode.

    - #### <T extends ASTNode> public static T configureAST(T astNode, TerminalNode terminalNode)

    - #### <T extends ASTNode> public static T configureAST(T astNode, Token token)

    - #### <T extends ASTNode> public static T configureAST(T astNode, ASTNode source)

    - #### <T extends ASTNode> public static T configureAST(T astNode, org.apache.groovy.parser.antlr4.GroovyParser$GroovyParserRuleContext ctx, ASTNode initialStop)

    - #### <T extends ASTNode> public static T configureAST(T astNode, ASTNode start, ASTNode stop)

    - #### <T extends ASTNode> public static void configureEndPosition(T astNode, Token token)

    - #### public static Tuple2<Integer, Integer> endPosition(Token token)